Bug 659930 - php-pear-Auth-OpenID-2.1.1 is incompatible with PHP 5.3
Summary: php-pear-Auth-OpenID-2.1.1 is incompatible with PHP 5.3
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php-pear-Auth-OpenID
Version: 14
Hardware: All
OS: All
low
medium
Target Milestone: ---
Assignee: Axel Thimm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-04 08:18 UTC by Kurt Seifried
Modified: 2011-04-15 21:22 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-04-06 22:26:41 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 659926 None None None Never

Internal Trackers: 659926

Description Kurt Seifried 2010-12-04 08:18:41 UTC
Description of problem:

php-pear-Auth-OpenID-2.1.1 is broken, please update it to 2.2.2

So finally got all the other stuff fixed only to run in to:

[Sat Dec 04 01:09:30 2010] [error] [client 10.1.2.3] PHP Warning:  Parameter 2 to Auth_OpenID_GenericConsumer::_complete_id_res() expected to be a reference, value given in /usr/share/pear/Auth_OpenID/OpenID/Consumer.php on line 669, referer: http://10.1.2.3/test-wiki/index.php?title=Special:OpenIDLogin&returnto=Main_Page
[Sat Dec 04 01:09:30 2010] [error] [client 10.1.2.3] PHP Notice:  Trying to get property of non-object in /usr/share/pear/Auth_OpenID/OpenID/Consumer.php on line 434, referer: http://10.1.2.3/test-wiki/index.php?title=Special:OpenIDLogin&returnto=Main_Page

So a quick Google reveals:

"OpenID incompatibility with PHP 5.3 is a known issue with the upstream library."

and

"Updated versions of the OpenID library have been published here: http://github.com/openid/php-openid

I've updated our copy to 2.2.2, which I can confirm works on both PHP 5.2 and 5.3."

Version-Release number of selected component (if applicable):

2.1.1

How reproducible:

always

Steps to Reproduce:
1. install php-pear-Auth-OpenID-2.1.1
2. fix all the require_once paths (bug 659926)
3. try to login, fail.
  
Actual results:

login via OpenID fails

Expected results:

login via OpenID works

Additional info:

upgrade package to 2.2.2 

https://github.com/openid/php-openid/downloads

and it should all be good.

Comment 1 Kurt Seifried 2010-12-04 08:25:35 UTC
Quick and dirty fix:

Download the 2.2.2 package, unpack in /root/tmp/

Copy the 2.2.2 files over the existing 2.1.1 ones:

cp -Rv /root/tmp/openid-php-openid-782224d/Auth/* /usr/share/pear/Auth_OpenID

fix the require_once paths:

for i in *.php; do sed 's/Auth\//Auth_OpenID\//' $i > $i.2; mv -f $i.2 $i ; done

Try to login using an OpenID, success:

Verification succeeded
Return to Special:OpenIDFinish.

Comment 2 Kurt Seifried 2011-01-08 07:09:36 UTC
http://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers

This is contact attempt #2 (one month delay). Is the package maintainer still interested in this package?

Comment 3 Kurt Seifried 2011-01-15 01:53:02 UTC
http://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers

This is contact attempt #3 (another week has gone by). Is the package maintainer still interested in this package?

Comment 4 Fedora Update System 2011-03-29 00:08:47 UTC
php-pear-Auth-OpenID-2.2.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/php-pear-Auth-OpenID-2.2.2-1.fc14

Comment 5 Fedora Update System 2011-03-29 00:08:59 UTC
php-pear-Auth-OpenID-2.2.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/php-pear-Auth-OpenID-2.2.2-1.fc13

Comment 6 Fedora Update System 2011-03-29 00:09:10 UTC
php-pear-Auth-OpenID-2.2.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/php-pear-Auth-OpenID-2.2.2-1.fc15

Comment 7 Fedora Update System 2011-03-29 03:34:27 UTC
Package php-pear-Auth-OpenID-2.2.2-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-pear-Auth-OpenID-2.2.2-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/php-pear-Auth-OpenID-2.2.2-1.fc15
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-04-06 22:26:31 UTC
php-pear-Auth-OpenID-2.2.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-04-06 22:30:47 UTC
php-pear-Auth-OpenID-2.2.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-04-15 21:22:36 UTC
php-pear-Auth-OpenID-2.2.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.